import sys
from PySide6 import QtGui, QtWidgets, QtCore # Import potrebnych modulov Qt (prvky UI /tlacitka, posuvniky, .../ )
from MainWindow_ui import Ui_MainWindow      # Import modulu okna vytvoreneho designerom a skompilovaneho do Ui_MainWIndow.py


class PyQtWindow(QtWidgets.QMainWindow): # Definovanie vlastnej triedy odvodenej od QMainWindow
    def __init__(self):             # Inicializacia okna 
        super().__init__()          # Spustenie inicializacie "rodicovskej" triedy
        self.ui = Ui_MainWindow()   # Vytvorenie objektu okna, ktore je definovane v Ui_MainWindow.py (MainWindow.ui)
        self.ui.setupUi(self)       # Nastavenie prvkov v objekte okna

    def paintEvent(self, event):    # Metoda, ktora sa spusti pri kazdom prekresleni okna
        painter = QtGui.QPainter()  # Vytvorenie kresliaceho objektu, ktory vie pouzivat prikazy na kreslenie
        painter.begin(self)         # Zaciatok kreslenia
        # Tu pridu prikazy na kreslenie
        # napriklad: painter.drawLine(0, 0, self.width(), self.height())
        painter.end()               # Koniec kreslenia

if __name__ == '__main__':          # Test, ci som v hlavnom subore (a nie v module)
    app = QtWidgets.QApplication(sys.argv) # Vytvorenie/spustenie nasej aplikacie
    my_form = PyQtWindow()          # Vytvorenie objektu nasho okna, s nami definovanymi metodami (paintEvent, ...)
    my_form.show()                  # Zobrazenie nasho okna, ktore ostava otvorene, az pokym ho nezrusime
    sys.exit(app.exec())           # Korektne ukoncenie nasej aplikacie
